Skip to main content
GET
/
api
/
contact-metrics
/
by-user
Get metrics breakdown by user (Admin only)
curl --request GET \
  --url https://your-instance.example.com/api/contact-metrics/by-user \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "users": [
      {
        "userId": "65b1f0a2c3d4e5f6a7b8c9d0",
        "userName": "Alice Rivera",
        "userEmail": "alice@example.com",
        "total": 47,
        "contacted": 38,
        "neverContacted": 9,
        "categories": {
          "new": {
            "total": 22,
            "contacted": 0,
            "neverContacted": 22
          },
          "working": {
            "total": 25,
            "contacted": 25,
            "neverContacted": 0
          }
        },
        "uncategorized": {
          "total": 0,
          "contacted": 0,
          "neverContacted": 0
        }
      }
    ],
    "categories": [
      {
        "key": "new",
        "name": "New",
        "color": "#3B82F6"
      },
      {
        "key": "working",
        "name": "Working",
        "color": "#10B981"
      }
    ],
    "pipelineId": "66f0a0b0c0d0e0f0a0b0c0d0",
    "pipelineName": "Sales pipeline"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startDate
string<date-time>
endDate
string<date-time>
pipelineId
string

Response

User metrics returned

success
enum<boolean>
required
Available options:
true
data
object
required